import React, { FC } from 'react';
import { Tabs, Tab } from '@material-ui/core';
import LockIcon from '@material-ui/icons/Lock';
import { useHistory } from 'react-router-dom';
import { AuthRoutes } from 'api/routes';
import { navBarLoginStyle } from './NavBarLogin.style';

export const NavBarLogin: FC = () => {
  const history = useHistory();

  const classes = navBarLoginStyle();

  const [value, setValue] = React.useState('');

  const handleChange = (
    event: React.ChangeEvent<unknown>,
    newValue: string,
  ): void => {
    setValue(newValue);
    history.replace(newValue);
    console.log(newValue);
  };

  return (
    <nav>
      <Tabs
        textColor="primary"
        onChange={handleChange}
        value={value}
        className={classes.tabs}
        TabIndicatorProps={{ style: { display: 'none' } }}
      >
        <Tab
          value={`${AuthRoutes.dashboard}${AuthRoutes.home}`}
          label="Login"
          icon={<LockIcon className={classes.tabIcon} />}
          className={`${classes.tabPan} ${classes.rightAlign}`}
          aria-label="Login"
        />
      </Tabs>
    </nav>
  );
};
