import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import {
  Grid,
  Paper,
  Table,
  TableBody,
  TableCell,
  TableContainer,
  TableHead,
  TableRow,
} from '@material-ui/core';
import { ReservationType } from 'types/ReservationType';

const useStyles = makeStyles(() => ({
  noShadow: {
    border: 'none',
    boxShadow: 'none',
    backgroundColor: 'transparent',
  },
}));

type PropsType = {
  reservation: ReservationType;
};

export const Reservation: FC<PropsType> = ({ reservation }: PropsType) => {
  const classes = useStyles();

  return (
    <Grid item container style={{ paddingTop: '20px' }}>
      <TableContainer component={Paper}>
        <Table aria-label="simple table">
          <TableHead>
            {reservation.tripStages.map((stage, key) => (
              <TableRow>
                <TableCell key={stage.number}>
                  {stage.location.address}
                </TableCell>
                <TableCell key={stage.number}>{stage.estimatedBeAt}</TableCell>
              </TableRow>
            ))}
          </TableHead>
        </Table>
      </TableContainer>
    </Grid>
  );
};
