import { getVehicleList } from 'api/getVehicleList';
import { useMemo, useState } from 'react';
import { VehicleType } from 'types/VehicleType';

export const useVehicle = (): VehicleType[] => {
  const [vehicleList, setVehicleList] = useState<VehicleType[]>([]);
  const [isLoading, setIsLoading] = useState<boolean>(true);
  useMemo(() => {
    let isMounted = true;

    getVehicleList().then((list) => {
      if (isMounted) {
        setVehicleList(list);
        setIsLoading(false);
      }
    });
    return () => {
      isMounted = false;
    };
  }, [isLoading]);
  return vehicleList;
};
